# Uses of Class
org.eclipse.net4j.channel.ChannelException

Packages that use ChannelException
Package
Description
org.eclipse.net4j.channel
The Net4j transport layer concepts for dealing with channels.
org.eclipse.spi.net4j
Server service provider interfaces and useful base implementations for the Net4j transport layer.

## Uses of ChannelException in org.eclipse.net4j.channel

Methods in org.eclipse.net4j.channel that throw ChannelException
Modifier and Type
Method
Description
`IChannel`
IChannelMultiplexer.`openChannel()`
Synchronous request to open a new `IChannel` with an undefined channel protocol.
`IChannel`
IChannelMultiplexer.`openChannel(String protocolID, Object infraStructure)`
Synchronous request to open a new `IChannel` with a channel protocol defined by a given protocol identifier.
`IChannel`
IChannelMultiplexer.`openChannel(IProtocol<?> protocol)`
Synchronous request to open a new `IChannel` with the given channel protocol .

## Uses of ChannelException in org.eclipse.spi.net4j

Methods in org.eclipse.spi.net4j that throw ChannelException
Modifier and Type
Method
Description
`void`
ChannelMultiplexer.`closeChannel(InternalChannel channel)`
`protected abstract void`
ChannelMultiplexer.`deregisterChannelFromPeer(InternalChannel channel)`
`protected void`
Connector.`deregisterChannelFromPeer(InternalChannel channel)`
`void`
ChannelMultiplexer.`inverseCloseChannel(short channelID)`
`InternalChannel`
ChannelMultiplexer.`openChannel()`
`InternalChannel`
ChannelMultiplexer.`openChannel(String protocolID, Object infraStructure)`
`InternalChannel`
ChannelMultiplexer.`openChannel(IProtocol<?> protocol)`
`protected abstract void`
ChannelMultiplexer.`registerChannelWithPeer(short channelID, long timeout, IProtocol<?> protocol)`